org.apache.fop.layoutmgr

## Class Page

- java.lang.Object
- - org.apache.fop.layoutmgr.Page

    public class Page
    extends Object

This object is used by the layout engine to represent a page. It provides access to the simple-page-master that was used as a template for this page and it provides access to the PageViewport which is the top-level area tree element. This class helps to decouple the FO tree from the area tree to make the latter easily serializable.

### Field Summary

Fields
`protected boolean` `isPagePositionOnly`

### Constructor Summary

Constructors
Constructor and Description
`Page(Rectangle viewArea, int pageNumber, String pageNumberStr, boolean blank)` Auxiliary constructor used when there's no SimplePageMaster.
`Page(SimplePageMaster spm, int pageNumber, String pageNumberStr, boolean blank, boolean spanAll, boolean isPagePositionOnly)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`PageViewport` `getPageViewport()`
`SimplePageMaster` `getSimplePageMaster()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### isPagePositionOnly

    protected boolean isPagePositionOnly

### Constructor Detail

#### Page

    public Page(SimplePageMaster spm,
                int pageNumber,
                String pageNumberStr,
                boolean blank,
                boolean spanAll,
                boolean isPagePositionOnly)

Main constructor

Parameters:
  `spm` - the simple-page-master used for this page
  `pageNumber` - the page number (as an int)
  `pageNumberStr` - the page number (as a String)
  `blank` - true if this is a blank page
  `spanAll` - true if the first span area spans all columns

#### Page

    public Page(Rectangle viewArea,
                int pageNumber,
                String pageNumberStr,
                boolean blank)

Auxiliary constructor used when there's no SimplePageMaster.

Parameters:
  `viewArea` - the view area of the page
  `pageNumber` - the page number (as an int)
  `pageNumberStr` - the page number (as a String)
  `blank` - true if this is a blank page

### Method Detail

#### getSimplePageMaster

    public SimplePageMaster getSimplePageMaster()

Returns:
  the simple-page-master that created this page

#### getPageViewport

    public PageViewport getPageViewport()

Returns:
  the page viewport representing this page in the area tree